package aexp.instrumentation;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

public class CalculatorInstrumentationLauncher extends Activity {
    static final String LOG_TAG = "CalculatorInstrumentationLauncher";

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.launcher);
        Button launcherButton = (Button)findViewById( R.id.launch_button );
        launcherButton.setOnClickListener( new View.OnClickListener() {
            public void onClick( View view ) {
                startInstrumentation(
                    new ComponentName( 
                        CalculatorInstrumentationLauncher.this,
                        CalculatorInstrumentation.class ), 
                    null, 
                    null );
            }
        } );
    }
}
